=== debian/changelog ===
gnudatalanguage (0.9.7-6) unstable; urgency=low

  * Allow stderr in CI test

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Oct 2017 11:47:39 -0300

gnudatalanguage (0.9.7-5) unstable; urgency=low

  * Suppress warnings about security risk with tmpnam to fix test failures
  * Remove optional dependency on libhdf5-serial-dev (Closes: #879136)

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Oct 2017 17:02:01 -0300

gnudatalanguage (0.9.7-4) unstable; urgency=medium

  * Also remove reference to plplot12-driver-xwin in
    debian/test/control. Thanks Ole Streicher!
  * debian/copyright: Switch format URL to HTTPS.
  * Declare compliance with Debian Policy 4.1.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Thu, 28 Sep 2017 23:11:03 +0200

gnudatalanguage (0.9.7-3) unstable; urgency=medium

  * Transition to the new plplot binary package names.
    + Update package relations where necessary. (Closes: #876858)
    + Bump libplplot-dev build-dependency to >= 5.13.0+dfsg-~ as the new
      plplot-driver-xwin build-dependency already implies that minimum
      version and the alternative build-dependency is no more satisfiable.
  * Declare compliance with Debian Policy 4.1.0.
    + Change priority from extra to optional.
  * Remove no more necessary Testsuite header. Thanks Lintian!
  * Replace usage of dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk,
    $(SOURCE_DATE_EPOCH) and $(DEB_VERSION). Thanks Lintian!
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop explicit --parallel option from debian/rules.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Sep 2017 00:51:41 +0200

gnudatalanguage (0.9.7-2) unstable; urgency=medium

  * Revert an upstream patch that causes trouble with multidimensional
    arrays. (Closes: #852682)
  * Adjust failing CI tests
  * Include PYTHON.txt in documentation

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Feb 2017 10:02:21 +0100

gnudatalanguage (0.9.7-1) unstable; urgency=low

  * New upstream version 0.9.7. Switch back to unstable
  * Enable qhull
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 22 Jan 2017 10:26:18 +0100

gnudatalanguage (0.9.7~rc2-1) experimental; urgency=medium

  * New upstream version 0.9.7~rc2
  * Rediff patches
  * Don't exclude blocking patches (fixed upstream)

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Jan 2017 10:21:18 +0100

gnudatalanguage (0.9.7~rc1-1) experimental; urgency=medium

  * New upstream release candidate 0.9.7~rc1
  * Upload to experimental.
  * Adjust patches.

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Jan 2017 16:47:11 +0100

gnudatalanguage (0.9.6v2-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Move myself to the end of the Uploaders list.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Vcs-Git header from git:// to https://.
  * Enable all hardening flags.
  * Add lintian override since a variable name isn't a spelling error.
  * Switch SF URL in debian/patches/gdl-fun-fix from http:// to https://
    as suggested by DUCK.
  * Add DEP3 patch headers to debian/patches/hdf5-1.10.patch.
  * Add yet another spelling error found by lintian to
    debian/patches/fix-spelling-errors.

  [ Ole Streicher ]
  * Set "Multi-Arch: same" for libgnudatalanguage0 and python-gdl as
    suggested by the MultiArch hinter.

 -- Axel Beckert <abe@debian.org>  Tue, 03 Jan 2017 11:51:09 +0100

gnudatalanguage (0.9.6v2-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch to support HDF5 1.10 (closes: #841971)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 20:35:45 +0100

gnudatalanguage (0.9.6v2-3) unstable; urgency=medium

  * Another patch for gcc-6 compatibility

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Jul 2016 13:20:16 +0200

gnudatalanguage (0.9.6v2-2) unstable; urgency=medium

  * Add d/u/metadata
  * Fix gcc-6 compilation error. Closes: #811918

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jun 2016 09:35:53 +0200
