=== debian/tests/control ===
Tests: test-gdl
Depends: gnudatalanguage, xauth, xvfb, plplot-driver-xwin
Restrictions: allow-stderr

Tests: test-GDL.py
Depends: python-gdl, python-pytest
