## gnudatalanguage 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 project(GDL)
 
 # X.X.X CVS becomes release X.X.X+1
-set(VERSION "0.9.7")
+set(VERSION "0.9.8")
 enable_testing()
 
 include(CheckIncludeFile)
@@ -69,6 +69,9 @@
 
 set(QHULL OFF CACHE BOOL "GDL: Enable Qhull ?")
 set(QHULLDIR "" CACHE PATH "GDL: Specifiy the QHULL directory tree")
+
+set(GLPK OFF CACHE BOOL "GDL: Enable GLPK (for function SIMPLEX) ?")
+set(GLPKDIR "" CACHE PATH "GDL: Specify the GLPK directory tree")
 
 # GraphicsMagick is a good alternative to ImageMagick, if GM OK, we don't look for IM
 set(GRAPHICSMAGICK ON CACHE BOOL "GDL: Enable GraphicsMagick ?")
@@ -310,17 +313,18 @@
 # openmp
 # -DOPENMP=ON|OFF
 if(OPENMP)
-	find_package(OpenMP QUIET)
-	if(OPENMP_FOUND)
-		add_definitions(${OpenMP_CXX_FLAGS})
-		if(MSVC)
-			set(LIBRARIES ${LIBRARIES} vcomp)
-		elseif(WIN32)
+  find_package(OpenMP QUIET)
+  set(USE_OPENMP ${OPENMP_FOUND})
+  if(OPENMP_FOUND)
+    add_definitions(${OpenMP_CXX_FLAGS})
+    if(MSVC)
+      set(LIBRARIES ${LIBRARIES} vcomp)
+    elseif(WIN32)
       set(LIBRARIES ${LIBRARIES} gomp pthread)
     else()
-			set(LIBRARIES ${LIBRARIES} ${OpenMP_CXX_FLAGS})
-		endif()
-	endif(OPENMP_FOUND)
+      set(LIBRARIES ${LIBRARIES} ${OpenMP_CXX_FLAGS})
+    endif()
+  endif(OPENMP_FOUND)
 else(OPENMP)
   # we need to define those semaphore posix symbols, do it with threads libs
   find_package(Threads)
@@ -339,10 +343,3 @@
 # GSL MANDATORY
 # -DGSLDIR=DIR
 set(CMAKE_PREFIX_PATH ${GSLDIR})
-find_package(GSL QUIET)
-set(HAVE_LIBGSL ${GSL_FOUND})
-set(HAVE_LIBGSLCBLAS ${GSL_FOUND})
-if(GSL_FOUND)
-	set(LIBRARIES ${LIBRARIES} ${GSL_LIBRARIES})
-	include_directories(${GSL_INCLUDE_DIR})
-else(GSL_FOUND)
