=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,9 @@
 GDLTreeParser.cpp
 GDLTreeParser.hpp
 GDLTreeParserTokenTypes.hpp
+datatypes.cpp
+datatypes.hpp
+datatypesref.cpp
 accessdesc.hpp
 allix.hpp
 allix.cpp
@@ -42,18 +45,14 @@
 basic_fun_jmg.cpp
 basic_fun_jmg.hpp
 basic_op.cpp
+calendar.hpp
+calendar.cpp
 cformat.g
 color.cpp
 color.hpp
 convert2.cpp
 convol.cpp
-convol_inc0.cpp
-convol_inc1.cpp
-convol_inc2.cpp
 datalistt.hpp
-datatypes.cpp
-datatypes.hpp
-datatypesref.cpp
 dcommon.cpp
 dcommon.hpp
 dcompiler.cpp
@@ -82,6 +81,8 @@
 envt.hpp
 extrat.cpp
 extrat.hpp
+exists_fun.cpp
+exists_fun.hpp
 fftw.cpp
 fftw.hpp
 file.cpp
@@ -123,6 +124,7 @@
 ${SOURCES}
 gdljournal.cpp
 gdljournal.hpp
+gdlhelp.cpp
 gdlpsstream.cpp
 gdlpsstream.hpp
 gdlpython.cpp
@@ -144,6 +146,7 @@
 basic_pro.hpp
 basic_pro_jmg.cpp
 basic_pro_jmg.hpp
+brent.cpp
 grib.cpp
 grib.hpp
 gshhs.cpp
@@ -180,6 +183,8 @@
 libinit_mes.cpp
 libinit_ng.cpp
 libinit_jp.cpp
+libinit_exists.cpp
+linearprogramming.cpp
 list.cpp
 list.hpp
 magick_cl.cpp
@@ -246,19 +251,20 @@
 prognodeexpr.cpp
 read.cpp
 real2int.hpp
+saverestore.cpp
 semshm.cpp
 semshm.hpp
 sigfpehandler.cpp
 sigfpehandler.hpp
-#smooth.cpp
-#smooth.hpp
+smooth.cpp
+smooth.hpp
 specializations.hpp
 str.cpp
 str.hpp
-strassenmatrix.hpp
 terminfo.cpp
 terminfo.hpp
 topython.cpp
+triangulation.cpp
 typedefs.hpp
 typetraits.cpp
 typetraits.hpp
