=== debian/changelog ===
gnudatalanguage (0.9.8-5) unstable; urgency=low

  * Use altivec __vector to not conflict with std C vector template
  * Push Standards-Version to 4.1.4. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 22 May 2018 10:44:16 +0200

gnudatalanguage (0.9.8-4) unstable; urgency=low

  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Apr 2018 17:57:17 +0200

gnudatalanguage (0.9.8-3) unstable; urgency=low

  * Avoid OOM errors while compiling on mips (Closes: #895471)
  * Disable specialized code that causes problems on powerpc (Closes: #894324)

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Apr 2018 11:46:10 +0200

gnudatalanguage (0.9.8-2) unstable; urgency=low

  * Specify C++ standard in compilation
  * Get display properties only when display exists. Fixes Python CI failure
  * Add more failing tests

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Apr 2018 14:32:05 +0200

gnudatalanguage (0.9.8-1) unstable; urgency=low

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Remove trailing whitespace from ancient debian/changelog entry.
  * Extend debian/patches/fix-spelling-errors to fix some more errors.

  [ Ole Streicher ]
  * Update VCS fields to use salsa.d.o
  * Restructure patches for use with gbp pq
  * New upstream version 0.9.8. Rediff patches
  * Change upstream repository to github
  * Use https in URLs
  * Add lintian-overrides for undafe symlink
  * Add $(filter nocheck,$(DEB_BUILD_OPTIONS)) to override_dh_auto_test

 -- Ole Streicher <olebole@debian.org>  Tue, 27 Mar 2018 12:14:50 +0200
