=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: interpreters
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10~),
+               debhelper (>= 11~),
                dpkg-dev (>= 1.16.1~),
                libantlr-dev,
                libeigen3-dev (>= 3.2.4),
@@ -30,10 +30,11 @@
                xauth,
                xvfb,
                zlib1g-dev
-Standards-Version: 4.1.1
-Homepage: http://gnudatalanguage.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/gnudatalanguage.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/gnudatalanguage.git
+Standards-Version: 4.1.4
+Homepage: https://gnudatalanguage.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian-astro-team/gnudatalanguage.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/gnudatalanguage
+Rules-Requires-Root: no
 
 Package: libgnudatalanguage0
 Architecture: any
