=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,13 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-CXXFLAGS += -DBUILD_DATE="\"$(shell LC_ALL=C date -u --date=@"$(SOURCE_DATE_EPOCH)" +'%b %e %Y')\""
+CXXFLAGS += -DBUILD_DATE="\"$(shell LC_ALL=C date -u --date=@"$(SOURCE_DATE_EPOCH)" +'%b %e %Y')\"" -std=gnu++11
+
+# taken from https://bugs.debian.org/895214
+# less debug info to avoid running out of address space
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+  export CXXFLAGS += -g1
+endif
 
 %:
 	dh $@ -Scmake
@@ -22,11 +28,13 @@
 	  -DPSLIB=YES
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	( cd obj*/testsuite \
 	&& cp ../../testsuite/formats.idl . \
 	&& $(CXX) -o libtest_ce.so ../../testsuite/libtest_ce.cpp -shared -fPIC \
 	&& $(CC) -o launchtest ../../testsuite/launchtest.c )
 	LD_LIBRARY_PATH="../src" xvfb-run dh_auto_test --no-parallel -Scmake || true
+endif
 
 override_dh_compress:
 	dh_compress -X.pro
